## Table of contents

### Functions

- [deleteConfig](appConfiguration.md#deleteconfig)
- [deleteDataItem](appConfiguration.md#deletedataitem)
- [getConfig](appConfiguration.md#getconfig)
- [getData](appConfiguration.md#getdata)
- [getDataItem](appConfiguration.md#getdataitem)
- [setConfig](appConfiguration.md#setconfig)
- [setDataItem](appConfiguration.md#setdataitem)

## Functions

### deleteConfig

▸ **deleteConfig**(`opts`): `Promise`\<`void`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `opts` | [`AppConfigOptions`](../modules.md#appconfigoptions) |

#### Returns

`Promise`\<`void`\>

#### Defined in

[api/appConfiguration.ts:74](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/appConfiguration.ts#L74)

___

### deleteDataItem

▸ **deleteDataItem**(`opts`): `Promise`\<`void`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `opts` | [`AppConfigOptions`](../modules.md#appconfigoptions) |

#### Returns

`Promise`\<`void`\>

#### Defined in

[api/appConfiguration.ts:99](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/appConfiguration.ts#L99)

___

### getConfig

▸ **getConfig**(`opts`): `Promise`\<`any`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `opts` | [`AppConfigOptions`](../modules.md#appconfigoptions) |

#### Returns

`Promise`\<`any`\>

#### Defined in

[api/appConfiguration.ts:62](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/appConfiguration.ts#L62)

___

### getData

▸ **getData**(`opts`): `Promise`\<`any`[]\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `opts` | [`AppConfigOptions`](../modules.md#appconfigoptions) |

#### Returns

`Promise`\<`any`[]\>

#### Defined in

[api/appConfiguration.ts:80](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/appConfiguration.ts#L80)

___

### getDataItem

▸ **getDataItem**(`opts`): `Promise`\<`any`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `opts` | [`AppConfigOptions`](../modules.md#appconfigoptions) |

#### Returns

`Promise`\<`any`\>

#### Defined in

[api/appConfiguration.ts:86](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/appConfiguration.ts#L86)

___

### setConfig

▸ **setConfig**(`opts`): `Promise`\<`any`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `opts` | [`AppConfigOptions`](../modules.md#appconfigoptions) |

#### Returns

`Promise`\<`any`\>

#### Defined in

[api/appConfiguration.ts:68](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/appConfiguration.ts#L68)

___

### setDataItem

▸ **setDataItem**(`opts`): `Promise`\<`any`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `opts` | [`AppConfigOptions`](../modules.md#appconfigoptions) |

#### Returns

`Promise`\<`any`\>

#### Defined in

[api/appConfiguration.ts:93](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/appConfiguration.ts#L93)
